cURL
curl --request POST \
--url https://sandbox.onconsul.com/v1/bank_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://sandbox.onconsul.com/v1/bank_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.onconsul.com/v1/bank_accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://sandbox.onconsul.com/v1/bank_accounts"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"ars_transfers": {
"account_value": "<string>",
"beneficiary_name": "<string>"
},
"brl_pix": {
"pix_key": "<string>"
},
"cad_eft": {
"account_number": "<string>",
"institution_number": "<string>",
"transit_number": "<string>",
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
},
"cop_ach": {
"bank_account": "<string>",
"bank_code": "<string>",
"beneficiary_first_name": "<string>",
"beneficiary_last_name": "<string>",
"document_id": "<string>",
"email": "<string>"
},
"eur_sepa": {
"iban": "<string>",
"owner_address": {
"city": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
},
"mxn_spei": {
"beneficiary_name": "<string>",
"spei_clabe": "<string>"
},
"usd_ach": {
"account_number": "<string>",
"owner_address": {
"city": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"routing_number": "<string>",
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
},
"usd_domestic_wire": {
"account_number": "<string>",
"owner_address": {
"city": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"routing_number": "<string>",
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
}
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Bank Accounts
Create a Bank Account
POST
/
bank_accounts
cURL
curl --request POST \
--url https://sandbox.onconsul.com/v1/bank_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://sandbox.onconsul.com/v1/bank_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.onconsul.com/v1/bank_accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://sandbox.onconsul.com/v1/bank_accounts"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"ars_transfers": {
"account_value": "<string>",
"beneficiary_name": "<string>"
},
"brl_pix": {
"pix_key": "<string>"
},
"cad_eft": {
"account_number": "<string>",
"institution_number": "<string>",
"transit_number": "<string>",
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
},
"cop_ach": {
"bank_account": "<string>",
"bank_code": "<string>",
"beneficiary_first_name": "<string>",
"beneficiary_last_name": "<string>",
"document_id": "<string>",
"email": "<string>"
},
"eur_sepa": {
"iban": "<string>",
"owner_address": {
"city": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
},
"mxn_spei": {
"beneficiary_name": "<string>",
"spei_clabe": "<string>"
},
"usd_ach": {
"account_number": "<string>",
"owner_address": {
"city": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"routing_number": "<string>",
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
},
"usd_domestic_wire": {
"account_number": "<string>",
"owner_address": {
"city": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"routing_number": "<string>",
"owner_business_name": "<string>",
"owner_first_name": "<string>",
"owner_last_name": "<string>"
}
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Register a new fiat bank account. You must specify the
currency, payment rail (e.g.
usd_ach, brl_pix,
mxn_spei), and the corresponding rail-specific details
such as routing/account numbers for USD ACH, a PIX key
for BRL, or a CLABE for MXN SPEI.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
USDC, USDT, USD, BRL, ARS, COP, MXN, CAD, EUR Required string length:
1 - 255Available options:
usd_ach, usd_fedwire, brl_pix, ars_transfers_3_0, cop_pse, mxn_spei, cad_eft, eur_sepa Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Available options:
active, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

